Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.vcard
Interface VCardListener

    public interface VCardListener

Interface to listen for vCard changes. Use the `VCardManager.addListener(VCardListener)` method to register for events.

Author:
  Remko Tronçon

Method Summary
`void` | `vCardCreated(String user)` A vCard was created.
`void` | `vCardDeleted(String user)` A vCard was deleted.
`void` | `vCardUpdated(String user)` A vCard was updated.

Method Detail

### vCardCreated

    void vCardCreated(String user)

  A vCard was created.

  Parameters:
    `user` - the user for which the vCard was created.

### vCardUpdated

    void vCardUpdated(String user)

  A vCard was updated.

  Parameters:
    `user` - the user for which the vCard was updated.

### vCardDeleted

    void vCardDeleted(String user)

  A vCard was deleted.

  Parameters:
    `user` - the user for which the vCard was deleted.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.